
window.kongregate_js =
 {
  init: function()
   {
	console.log('Kongragate init()');

    var head    = document.getElementsByTagName('head')[0];
    var script  = document.createElement('script');
    script.type = 'text/javascript';
    script.src  = 'https://cdn1.kongregate.com/javascripts/kongregate_api.js'; // Kongregate api url ( see https://docs.kongregate.com/docs/javascript-api )

    // Callback compatibility function
    script.onreadystatechange = function() { kongregateAPI.loadAPI(function() { window.kongregate = kongregateAPI.getAPI(); }); }
    script.onload             = function() { kongregateAPI.loadAPI(function() { window.kongregate = kongregateAPI.getAPI(); }); }

    head.appendChild(script);
   },

  submitStat: function(label,value)
   {
    console.log('Kongregate submitStat(' + label + ',' + value + ')');
    kongregate.stats.submit(label, value);
   },

  getUsername: function()
   {
    console.log('Kongragate getUsername()');
    return kongregate.services.getUsername();
   },
  
  getUserID: function()
   {
    console.log('Kongragate getUserID()');
    return kongregate.services.getUserId();
   },
  
  isGuest: function()
   {
    console.log('Kongragate isGuest()');
    return kongregate.services.isGuest();
   }

 };

console.log('kongragate_js is loaded');
